package com.zt.controller;

import com.zt.common.pojo.Shoop;
import com.zt.common.utils.Result;
import jakarta.validation.Valid;
import lombok.extern.slf4j.Slf4j;
import org.springframework.util.DigestUtils;
import org.springframework.web.bind.annotation.*;

import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;

/**
 * @Date 2025/3/29 10:37
 * @Author neko
 **/
@RestController
@RequestMapping("/test1")
@Slf4j
public class Test1 {
    @RequestMapping("inter")
    public Result inter(@RequestHeader("redId") String redId, @Valid @RequestBody Shoop shoop){
        System.out.println(redId);
        String md5pwd = DigestUtils.md5DigestAsHex((shoop.getAppId()+shoop.getGoodsId()+redId+shoop.getReqTime()).getBytes(StandardCharsets.UTF_8));
        System.out.println(md5pwd);
        Map<String, Object> map = new HashMap<>();
        map.put("code", "200");
        map.put("msg", "操作成功");
        map.put("data", shoop);

//        return map.toString()+redId;
        return new Result(200,"操作成功",map);
    }

    @RequestMapping("inter2")
    public Result inter2(@RequestHeader("redId") String redId,@Valid Shoop shoop){
        log.info("redId:{}",redId);
        Map<String, Object> map = new HashMap<>();
        map.put("code", "200");
        map.put("msg", "操作成功");
        map.put("data", shoop);
//        return map.toString();
        return new Result(200,"操作成功",map);
    }


}
