package com.zt.controller;

import cn.hutool.json.JSONUtil;
import com.zt.common.pojo.Shoop;
import com.zt.common.utils.Result;
import org.springframework.util.DigestUtils;
import org.springframework.web.bind.annotation.RequestParam;

import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.nio.charset.StandardCharsets;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.time.format.DateTimeFormatter;
import java.util.Date;
import java.util.logging.SimpleFormatter;

/**
 * @Date 2025/3/31 9:44
 * @Author neko
 **/
public class Text2 {
    private static final String BASE_URL = "http://localhost:8088/api";
    public static void main(String[] args) throws ParseException {
        String appId = "1";
        String reqId = "123";
        Integer reqTime = 1;
        Integer goodsId = 1;
        String sign = DigestUtils.md5DigestAsHex((appId+goodsId+reqId+reqTime).getBytes(StandardCharsets.UTF_8));
        Shoop shoop = new Shoop();
        shoop.setAppId(appId);
        shoop.setSign(sign);
        shoop.setGoodsId(Long.valueOf(goodsId));
        shoop.setReqTime(Long.valueOf(reqTime));
        shoop.setAmount(1L);
        shoop.setPrice(1.0);
        shoop.setMobile("18803602213");
        String dateString = "2025-03-31 12:12:12";
        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date date = dateFormat.parse(dateString);
        shoop.setNewDate(date);
        System.out.println(Result.OK(shoop));

    }
}
