package com.zt.common.utils;

import cn.hutool.crypto.digest.DigestUtil;

import java.util.Date;

/**
 * @Date 2025/3/31 15:27
 * @Author neko
 **/

public class SingUtil {
    private static final String APP_KEY = "your_app_key";

    public static String generateSign(String appId, String goodsId, String reqId, String reqTime) {
        String content = appId + goodsId + reqId + reqTime + APP_KEY;
        return DigestUtil.md5Hex(content);
    }

    public static boolean verifySign(String appId, String goodsId, String reqId, String reqTime, String sign) {
        String generatedSign = generateSign(appId, goodsId, reqId, reqTime);
        return generatedSign.equals(sign);
    }
}
